services:
  synapse:
    image: matrixdotorg/synapse:latest
    container_name: synapse
    restart: always
    ports:
      - "8008:8008"   # client-server API (internal)
    volumes:
      - ./matrix/data:/data
    environment:
      - SYNAPSE_SERVER_NAME=localhost
      - SYNAPSE_REPORT_STATS=no